import { createPersistStore } from "../utils/store";

const state = {
  showMenu: false,
  selectedAppId: "",
  currentSession: {
    appId: '',
    dialogName: '',
    id: '',
    messages: [],
  },
};

export const useGlobalStore = createPersistStore(
  { ...state },
  (set, get) => ({
    setShowMenu(status: boolean) {
      set({ showMenu: status });
    },
    setSelectedAppId(appId: string) {
      set({ selectedAppId: appId });
    },
    setCurrentSession(session: any) {
      set({ currentSession: session });
    },
  }),
  {
    name: "Global",
    version: 1,
  },
);